{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "lanResTag" : "OTHER.VIEW.FTR.TITLE.INFO"
  },
  "caption" : "测试表格",
  "codeName" : "TESTGRIDUsr12216129TestCustomView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTGRIDUsr12216129TestCustomView.json",
  "name" : "TESTGRIDUsr12216129TestCustomView",
  "openMode" : "INDEXVIEWTAB",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TESTGRID.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
  },
  "getPSDEViewCodeName" : "Usr12216129TestCustomView",
  "getPSDEViewId" : "05F40FD3-7410-410B-A3ED-76700F08941B",
  "getPSViewLayoutPanel" : {
    "getAllPSPanelFields" : [ {
      "id" : "view_pagecaption"
    }, {
      "id" : "field_text_dynamic1",
      "viewFieldName" : "UPDATEMAN"
    }, {
      "id" : "field_text_dynamic2",
      "viewFieldName" : "UPDATEMAN"
    }, {
      "id" : "field_text_dynamic",
      "viewFieldName" : "UPDATEMAN"
    }, {
      "id" : "field_picker",
      "viewFieldName" : "UPDATEMAN"
    }, {
      "id" : "field_picker1"
    }, {
      "id" : "field_dropdownlist"
    } ],
    "codeName" : "Usr1221816596",
    "controlType" : "VIEWLAYOUTPANEL",
    "layoutMode" : "FLEX",
    "logicName" : "测试自定义视图布局面板",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TESTGRID.json"
    },
    "getPSControlParam" : { },
    "getPSLayout" : {
      "layout" : "FLEX"
    },
    "getRootPSPanelItems" : [ {
      "caption" : "分组标题",
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "container_group",
      "getPSLayout" : {
        "layout" : "FLEX"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "getPSPanelItems" : [ {
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "page_container",
        "getPSLayout" : {
          "dir" : "column",
          "layout" : "FLEX"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX"
        },
        "getPSPanelItems" : [ {
          "caption" : "页面标题",
          "itemStyle" : "DEFAULT",
          "itemType" : "FIELD",
          "name" : "view_pagecaption",
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "view_pagecaption",
            "predefinedType" : "VIEW_PAGECAPTION",
            "renderMode" : "HEADING1",
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "grow" : -1,
            "layout" : "FLEX"
          }
        } ]
      } ],
      "predefinedType" : "CONTAINER_GROUP",
      "titleBarCloseMode" : 1,
      "showCaption" : true
    }, {
      "caption" : "分组标题",
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "container_group1",
      "getPSLayout" : {
        "layout" : "FLEX"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "getPSPanelItems" : [ {
        "caption" : "容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "container2",
        "getPSLayout" : {
          "dir" : "row",
          "layout" : "FLEX"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX"
        },
        "getPSPanelItems" : [ {
          "actionType" : "NONE",
          "borderStyle" : "SOLID",
          "buttonStyle" : "INFO",
          "caption" : "按钮",
          "itemStyle" : "INFO",
          "itemType" : "BUTTON",
          "name" : "button_calluilogic",
          "getPSLayoutPos" : {
            "grow" : -1,
            "layout" : "FLEX"
          },
          "tooltip" : "按钮",
          "uIActionTarget" : "NONE",
          "showCaption" : true
        }, {
          "actionType" : "NONE",
          "borderStyle" : "DOTTED",
          "buttonStyle" : "PRIMARY",
          "caption" : "按钮",
          "itemStyle" : "PRIMARY",
          "itemType" : "BUTTON",
          "name" : "button_calluilogic1",
          "getPSLayoutPos" : {
            "grow" : -1,
            "layout" : "FLEX"
          },
          "tooltip" : "按钮",
          "uIActionTarget" : "NONE",
          "showCaption" : true
        }, {
          "actionType" : "NONE",
          "borderStyle" : "DASHED",
          "buttonStyle" : "INFO",
          "caption" : "按钮",
          "itemStyle" : "INFO",
          "itemType" : "BUTTON",
          "name" : "button_calluilogic2",
          "getPSLayoutPos" : {
            "grow" : -1,
            "layout" : "FLEX"
          },
          "tooltip" : "按钮",
          "uIActionTarget" : "NONE",
          "showCaption" : true
        }, {
          "actionType" : "NONE",
          "borderStyle" : "DOUBLE",
          "buttonStyle" : "SUCCESS",
          "caption" : "按钮",
          "itemStyle" : "SUCCESS",
          "itemType" : "BUTTON",
          "name" : "button_calluilogic3",
          "getPSLayoutPos" : {
            "grow" : -1,
            "layout" : "FLEX"
          },
          "tooltip" : "按钮",
          "uIActionTarget" : "NONE",
          "showCaption" : true
        }, {
          "actionType" : "NONE",
          "borderStyle" : "NONE",
          "buttonStyle" : "WARNING",
          "caption" : "按钮",
          "itemStyle" : "WARNING",
          "itemType" : "BUTTON",
          "name" : "button_calluilogic4",
          "getPSLayoutPos" : {
            "grow" : -1,
            "layout" : "FLEX"
          },
          "tooltip" : "按钮",
          "uIActionTarget" : "NONE",
          "showCaption" : true
        }, {
          "caption" : "文本(动态)",
          "itemStyle" : "DEFAULT",
          "itemType" : "FIELD",
          "name" : "field_text_dynamic1",
          "getPSEditor" : {
            "editorStyle" : "EMOJI_PICKER",
            "editorType" : "DROPDOWNLIST",
            "name" : "field_text_dynamic1",
            "predefinedType" : "FIELD_TEXT_DYNAMIC",
            "singleSelect" : true
          },
          "getPSLayoutPos" : {
            "grow" : -1,
            "layout" : "FLEX"
          },
          "viewFieldName" : "UPDATEMAN"
        }, {
          "caption" : "文本(动态)",
          "itemStyle" : "DEFAULT",
          "itemType" : "FIELD",
          "name" : "field_text_dynamic2",
          "getPSEditor" : {
            "editorParams" : {
              "readonly" : "true"
            },
            "editorStyle" : "EMOJI_PICKER",
            "editorType" : "DROPDOWNLIST",
            "name" : "field_text_dynamic2",
            "predefinedType" : "FIELD_TEXT_DYNAMIC",
            "readOnly" : true,
            "singleSelect" : true
          },
          "getPSLayoutPos" : {
            "grow" : -1,
            "layout" : "FLEX"
          },
          "viewFieldName" : "UPDATEMAN"
        } ]
      } ],
      "predefinedType" : "CONTAINER_GROUP",
      "showCaption" : true
    }, {
      "caption" : "多项数据容器",
      "dataRegionType" : "MULTIDATA",
      "dataSourceType" : "DEDATASET",
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "container_multidata",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "FetchDefault"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TESTGRID.json"
      },
      "getPSLayout" : {
        "layout" : "FLEX"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "getPSPanelItems" : [ {
        "caption" : "文本(动态)",
        "contentWidth" : 50.0,
        "itemStyle" : "DEFAULT",
        "itemType" : "FIELD",
        "name" : "field_text_dynamic",
        "getPSEditor" : {
          "editorStyle" : "CUSTOMEDIT",
          "editorType" : "TEXTBOX",
          "editorWidth" : 50.0,
          "name" : "field_text_dynamic",
          "getPSSysPFPlugin" : {
            "pluginType" : "EDITOR_CUSTOMSTYLE",
            "pluginCode" : "CUSTOMEDIT",
            "runtimeObject" : true
          },
          "predefinedType" : "FIELD_TEXT_DYNAMIC"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX",
          "width" : 50,
          "widthMode" : "PERCENTAGE"
        },
        "viewFieldName" : "UPDATEMAN",
        "width" : 50.0,
        "convertToCodeItemText" : true
      }, {
        "caption" : "数据选择",
        "contentWidth" : 50.0,
        "itemStyle" : "DEFAULT",
        "itemType" : "FIELD",
        "name" : "field_picker",
        "getPSEditor" : {
          "editorParams" : {
            "readonly" : "true",
            "AC" : "TRUE",
            "PICKUPVIEW" : "TRUE"
          },
          "editorType" : "PICKER",
          "editorWidth" : 50.0,
          "name" : "field_picker",
          "predefinedType" : "FIELD_PICKER",
          "enableAC" : true,
          "enablePickupView" : true,
          "forceSelection" : true,
          "readOnly" : true,
          "showTrigger" : true,
          "singleSelect" : true
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX",
          "width" : 50,
          "widthMode" : "PERCENTAGE"
        },
        "viewFieldName" : "UPDATEMAN",
        "width" : 50.0
      } ],
      "predefinedType" : "CONTAINER_MULTIDATA"
    }, {
      "caption" : "数据视图",
      "itemStyle" : "DEFAULT",
      "itemType" : "CTRLPOS",
      "name" : "dataview",
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "showCaption" : true
    }, {
      "caption" : "分割线",
      "contentType" : "DIVIDER",
      "itemStyle" : "DEFAULT",
      "itemType" : "RAWITEM",
      "name" : "divider1",
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "getPSRawItem" : {
        "contentType" : "DIVIDER",
        "name" : "divider1",
        "predefinedType" : "DIVIDER"
      },
      "showCaption" : true
    }, {
      "caption" : "列表",
      "itemStyle" : "DEFAULT",
      "itemType" : "CTRLPOS",
      "name" : "list",
      "getPSControlRenders" : [ {
        "layoutPanelModel" : "`<span>部件测试绘制器通过面板项绘制器绘制</span>`",
        "name" : "logic",
        "renderType" : "LAYOUTPANEL_MODEL"
      } ],
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "showCaption" : true
    }, {
      "caption" : "分割线",
      "contentType" : "DIVIDER",
      "itemStyle" : "DEFAULT",
      "itemType" : "RAWITEM",
      "name" : "divider",
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "getPSRawItem" : {
        "contentType" : "DIVIDER",
        "name" : "divider",
        "predefinedType" : "DIVIDER"
      },
      "showCaption" : true
    }, {
      "caption" : "列表",
      "itemStyle" : "DEFAULT",
      "itemType" : "CTRLPOS",
      "name" : "list1",
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "showCaption" : true
    }, {
      "caption" : "栅格容器",
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "container_grid",
      "getPSLayout" : {
        "layout" : "SIMPLEFLEX"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "getPSPanelItems" : [ {
        "caption" : "面板容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "container",
        "getPSLayout" : {
          "childColMD" : 24,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "grow" : 8,
          "layout" : "SIMPLEFLEX"
        },
        "getPSPanelItems" : [ {
          "caption" : "文本",
          "contentType" : "RAW",
          "itemStyle" : "DEFAULT",
          "itemType" : "RAWITEM",
          "name" : "static_text",
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSRawItem" : {
            "caption" : "文本内容",
            "contentType" : "RAW",
            "name" : "static_text",
            "predefinedType" : "STATIC_TEXT",
            "renderMode" : "TEXT"
          },
          "rawContent" : "文本内容",
          "showCaption" : true
        } ]
      }, {
        "caption" : "面板容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "container1",
        "getPSLayout" : {
          "childColMD" : 24,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "grow" : 4,
          "layout" : "SIMPLEFLEX"
        },
        "getPSPanelItems" : [ {
          "caption" : "容器",
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "container3",
          "getPSLayout" : {
            "dir" : "row",
            "layout" : "FLEX"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSPanelItems" : [ {
            "caption" : "容器",
            "itemStyle" : "DEFAULT",
            "itemType" : "CONTAINER",
            "name" : "container4",
            "getPSLayout" : {
              "layout" : "FLEX"
            },
            "getPSLayoutPos" : {
              "grow" : 2,
              "layout" : "FLEX"
            },
            "getPSPanelItems" : [ {
              "caption" : "数据选择",
              "itemStyle" : "DEFAULT",
              "itemType" : "FIELD",
              "name" : "field_picker1",
              "getPSEditor" : {
                "editorParams" : {
                  "AC" : "TRUE",
                  "TRIGGER" : "TRUE",
                  "PICKUPVIEW" : "FALSE"
                },
                "editorStyle" : "PERSONEL_SELECT_PROJECT",
                "editorType" : "PICKEREX_TRIGGER",
                "name" : "field_picker1",
                "getPSSysPFPlugin" : {
                  "pluginType" : "EDITOR_CUSTOMSTYLE",
                  "pluginCode" : "PERSON_SELECT",
                  "runtimeObject" : true
                },
                "predefinedType" : "FIELD_PICKER",
                "enableAC" : true,
                "enablePickupView" : false,
                "forceSelection" : true,
                "showTrigger" : true,
                "singleSelect" : true
              },
              "getPSLayoutPos" : {
                "grow" : -1,
                "hAlignSelf" : "LEFT",
                "layout" : "FLEX",
                "spacingLeft" : "OUTERSMALL",
                "vAlignSelf" : "TOP"
              }
            } ]
          }, {
            "caption" : "容器",
            "itemStyle" : "DEFAULT",
            "itemType" : "CONTAINER",
            "name" : "container5",
            "getPSLayout" : {
              "layout" : "FLEX"
            },
            "getPSLayoutPos" : {
              "grow" : 2,
              "layout" : "FLEX"
            },
            "getPSPanelItems" : [ {
              "caption" : "下拉列表框",
              "itemStyle" : "DEFAULT",
              "itemType" : "FIELD",
              "name" : "field_dropdownlist",
              "getPSEditor" : {
                "editorParams" : {
                  "codeListMap" : "{\"followed\":[20],\"notFollowing\":[10]}",
                  "defaultSelected" : "10"
                },
                "editorType" : "DROPDOWNLIST",
                "name" : "field_dropdownlist",
                "getPSAppCodeList" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/Follow_state.json"
                },
                "predefinedType" : "FIELD_DROPDOWNLIST",
                "singleSelect" : true
              },
              "getPSLayoutPos" : {
                "grow" : -1,
                "hAlignSelf" : "RIGHT",
                "layout" : "FLEX",
                "spacingRight" : "OUTERSMALL",
                "vAlignSelf" : "TOP"
              }
            } ]
          } ]
        } ]
      } ],
      "predefinedType" : "CONTAINER_GRID"
    } ],
    "layoutBodyOnly" : false,
    "layoutPanel" : true,
    "useDefaultLayout" : false,
    "viewProxyMode" : true,
    "modelid" : "33F341D8-8FB9-4170-818A-3C5E44BE6A17",
    "modeltype" : "PSSYSVIEWLAYOUTPANEL",
    "getPSControls" : [ {
      "getCapPSLanguageRes" : {
        "lanResTag" : "OTHER.VIEW.FTR.TITLE.INFO"
      },
      "caption" : "测试表格",
      "codeName" : "Usr12216129TestCustomViewcaptionbar",
      "controlType" : "CAPTIONBAR",
      "name" : "captionbar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TESTGRID.json"
      },
      "getPSControlParam" : { }
    } ]
  },
  "title" : "测试自定义视图",
  "getTitlePSLanguageRes" : {
    "lanResTag" : "PAGE.TITLE.CONTROLTEST.EDITVIEW2"
  },
  "viewStyle" : "DEFAULT",
  "viewType" : "DECUSTOMVIEW",
  "enableDP" : true,
  "modelid" : "f7ed32013403de2f2f1db18b2e688b61",
  "modeltype" : "PSAPPDEVIEW"
}